#ifndef MARS_MagicTriggerButton
#define MARS_MagicTriggerButton

#ifndef MARS_MAGIC
#include "MAGIC.h"
#endif
#ifndef ROOT_TClonesArray
#include <TClonesArray.h>
#endif
#ifndef ROOT_TGButton
#include <TGButton.h>
#endif
#ifndef ROOT_RQ_OBJECT
//#include <RQ_OBJECT.h>
#endif

class TText;
class TMarker;
class TVirtualPad;

class MGeomCam;
class MHexagon;

class TGMainFrame;
class TRootEmbeddedCanvas;
class TGWindow;
class TGTextEntry;
class TGTextButton;

class MagicTriggerButton : public TGTextButton
{
private:
    TGTextButton *fButton;
    Long_t fValue[2];

public:

    MagicTriggerButton(const TGWindow *p, const char *text = "Button", Int_t id = -1, 
		       GContext_t norm = GetDefaultGC()(), 
		       FontStruct_t font = GetDefaultFontStruct(), 
		       UInt_t option = kRaisedFrame|kDoubleBorder);

    void SetValue(const Int_t cell = 0, const Int_t lut = 0);
    void Signal(Int_t cell, Int_t lut); // *SIGNAL*
    void Clicked(); // *SIGNAL*
//    Bool_t Connect(const char *signal, const char *receiver_class,
//		   void *receiver, const char *slot);

    ClassDef(MagicTriggerButton, 0) // Magic Camera Games: Reversi
};

#endif
